<?php
namespace Punishment\Form;
use Zend\Form\Annotation;

/**
 * @Annotation\Hydrator("Zend\Hydrator\ObjectPropertyHydrator")
 * @Annotation\Name("Punishment")
 */

Class PunishmentForm {

    /**
     * @Annotation\Type("Zend\Form\Element\Text")
     * @Annotation\Attributes({ "id":"previous id","type":"hidden"})
     */
    public $punishmentId;

    /**
     * @Annotation\Type("Zend\Form\Element\Text")
     * @Annotation\Attributes({ "id":"jobHistoryId","type":"hidden"})
     */
    public $jobHistoryId;

    /**
     * @Annotation\Type("Zend\Form\Element\Select")
     * @Annotation\Required(true)
     * @Annotation\Options({"disable_inarray_validator":"true","label":"Employee"})
     * @Annotation\Attributes({ "id":"employeeId","class":"form-control"})
     */
    public $employeeId;

    /**
     * @Annotation\Type("Zend\Form\Element\Select")
     * @Annotation\Required(true)
     * @Annotation\Options({"disable_inarray_validator":"true","label":"Punishment Type"})
     * @Annotation\Attributes({ "id":"punishmentType","class":"form-control"})
     */
    public $punishmentType;

	/**
     * @Annotation\Type("Zend\Form\Element\Textarea")
     * @Annotation\Required(true)
     * @Annotation\Options({"label":"Reason "})
     * @Annotation\Attributes({ "id":"reason","class":"summernote form-control"})
     */
    public $reason;

    /**
     * @Annotation\Type("Zend\Form\Element\Text")
     * @Annotation\Required(true)
     * @Annotation\Options({"label":"Start Date"})
     * @Annotation\Attributes({ "id":"startDate","class":"form-control"})
     */
    public $startDate;

    /**
     * @Annotation\Type("Zend\Form\Element\Text")
     * @Annotation\Required(true)
     * @Annotation\Options({"label":"End Date"})
     * @Annotation\Attributes({ "id":"endDate","class":"form-control"})
     */
    public $endDate;

    /**
     * @Annotation\Type("Zend\Form\Element\Select")
     * @Annotation\Required(true)
     * @Annotation\Options({"disable_inarray_validator":"true","label":"Announced By"})
     * @Annotation\Attributes({ "id":"announcedBy","class":"form-control"})
     */
    public $announcedBy;

    /**
     * @Annotation\Type("Zend\Form\Element\Submit")
     * @Annotation\Attributes({"value":"submit","class":"btn btn-success"})
     */
    public $submit;

}